Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1805482 - Review Request: golang-github-muesli-reflow - Reflow lets you word-wrap strings or entire blocks of text.
Summary: Review Request: golang-github-muesli-reflow - Reflow lets you word-wrap strin...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1803302
TreeView+ depends on / blocked
 
Reported: 2020-02-20 21:17 UTC by Joe Doss
Modified: 2021-07-18 14:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-18 14:23:37 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Joe Doss 2020-02-20 21:17:39 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/jdoss/github/fedora-31-x86_64/01246658-golang-github-muesli-reflow/golang-github-muesli-reflow.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/jdoss/github/fedora-31-x86_64/01246658-golang-github-muesli-reflow/golang-github-muesli-reflow-0-0.1.20200220gitcf7e7ea.fc31.src.rpm
Description: Reflow lets you word-wrap strings or entire blocks of text. It follows the io.Writer interface and supports ANSI escape sequences.
Fedora Account System Username: jdoss

Comment 1 Elliott Sales de Andrade 2020-02-21 07:40:57 UTC
Remove . from end of Summary.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "Expat
     License". 16 files have unknown license. Detailed output of
     licensecheck in 1805482-golang-github-muesli-reflow/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-muesli-reflow-0-0.1.20200220gitcf7e7ea.fc33.src.rpm
golang-github-muesli-reflow.src: W: summary-ended-with-dot C Reflow lets you word-wrap strings or entire blocks of text.
golang-github-muesli-reflow.src: W: no-%build-section
golang-github-muesli-reflow.src: E: specfile-error warning: -u use in %forgemeta is deprecated, use -z instead to select a separate set of rpm variables!
1 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
golang-github-muesli-reflow-devel.noarch: W: summary-ended-with-dot C Reflow lets you word-wrap strings or entire blocks of text.
golang-github-muesli-reflow-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/muesli/reflow/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


Source checksums
----------------
https://github.com/muesli/reflow/archive/cf7e7eac5cb4a711b456f1a986936e150634e166/reflow-cf7e7eac5cb4a711b456f1a986936e150634e166.tar.gz :
  CHECKSUM(SHA256) this package     : a0c3f739af010251a2bb7e7e587e76813cd90127e37f62b7eb233266e72f50e5
  CHECKSUM(SHA256) upstream package : a0c3f739af010251a2bb7e7e587e76813cd90127e37f62b7eb233266e72f50e5


Requires
--------
go-filesystem
golang(github.com/mattn/go-runewidth)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1


Provides
--------
golang(github.com/muesli/reflow/ansi) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/ansi)(commit=cf7e7eac5cb4a711b456f1a986936e150634e166) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/indent) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/indent)(commit=cf7e7eac5cb4a711b456f1a986936e150634e166) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/margin) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/margin)(commit=cf7e7eac5cb4a711b456f1a986936e150634e166) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/padding) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/padding)(commit=cf7e7eac5cb4a711b456f1a986936e150634e166) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/wordwrap) = 0-0.1.20200220gitcf7e7ea.fc33
golang(github.com/muesli/reflow/wordwrap)(commit=cf7e7eac5cb4a711b456f1a986936e150634e166) = 0-0.1.20200220gitcf7e7ea.fc33
golang-github-muesli-reflow-devel = 0-0.1.20200220gitcf7e7ea.fc33
golang-ipath(github.com/muesli/reflow) = 0-0.1.20200220gitcf7e7ea.fc33
golang-ipath(github.com/muesli/reflow)(commit=cf7e7eac5cb4a711b456f1a986936e150634e166) = 0-0.1.20200220gitcf7e7ea.fc33


Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1805482 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Python, Java, Haskell, C/C++, Ocaml, SugarActivity, fonts, R, PHP, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Mattia Verga 2021-07-18 14:23:37 UTC
package is in repos


Note You need to log in before you can comment on or make changes to this bug.